Cannot install APS application: "The 'IonCube' extension was not found"

Created:

2016-11-16 13:07:41 UTC

Modified:

2017-04-24 11:56:59 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Cannot install APS application: "The 'IonCube' extension was not found"

Applicable to:

  • Plesk

Symptoms

Application cannot be installed with following error:

Error: Unable to install the app because its installation requirements are not met. Contact your hosting provider to resolve this problem.
Requirements
PHP extension
The 'IonCube' extension was not found.

Cause

APS package defines incorrect requirement for PHP extension : IonCube instead of ionCube Loader .

Resolution

Contact APS package vendor (link to vendor's site is available in application description in Plesk interface) and advise to update package with proper definition.

Workaround

Find application's APP-META.xml file:

mysql> select * from aps_package\\G;
*************************** 1. row ***************************
id: 1
registry_object_id: 1
series_id: 1
master_series_id: NULL
name: SupportPRO SupportDesk
version: 3.0
archive_uri: /usr/local/psa/var/apspackages/d67afc43-d760-4104-96cd-a952c1e5c1d2.zip
metafile_uri: /usr/local/psa/var/apspackages/d67afc43-d760-4104-96cd-a952c1e5c1d2/APP-META.xml
source_uri: NULL

Open it in text editor and replace line

<php:extension>IonCube</php:extension>

with

<php:extension>ionCube Loader</php:extension>

Save file and install application.

Have more questions? Submit a request
Please sign in to leave a comment.